Skip to main content
GET
/
v1
/
customers
/
{id}
Retrieve a Customer
curl --request GET \
  --url https://api.leanrails.com/v1/customers/{id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": "cus_xxx",
  "object": "customer",
  "livemode": false,
  "created": 1234567890,
  "merchant_id": "mer_xxx",
  "email": "jsmith@example.com",
  "name": "<string>",
  "phone": "<string>",
  "description": "<string>",
  "metadata": {}
}

Authorizations

Authorization
string
header
required

Use your secret API key as the username with an empty password.

Headers

X-API-Version
string

Override the API version for this request.

Path Parameters

id
string
required

The Customer ID.

Response

The Customer.

id
string
required
Example:

"cus_xxx"

object
enum<string>
required
Available options:
customer
livemode
boolean
required
Example:

false

created
integer
required
Example:

1234567890

merchant_id
string
Example:

"mer_xxx"

email
string<email> | null
name
string | null
phone
string | null
description
string | null
metadata
object

Set of key-value pairs for storing additional information.